ICECREAM(1)

NAME
icecream - download icecast and shoutcast streams, redirecting all fetched content to stdout and/or to disk at the same time

SYNOPSIS
icecream [OPTIONS] URL [URL..]

DESCRIPTION
icecream is a lightweight, non-interactive, stream download utility. It connects to icecast and shoutcast servers or direct stream URLs, and redirects all fetched content to stdout and/or to media files on your disk.

Listen to the stream piping the output to a stdin-capable media player. Save the stream to a named file or split it into different tracks. It is possible to redirect the stream and save it to disk at the same time.

icecream is able to parse pls and m3u playlists, and to download mp3 and ogg direct stream URLs. If the stream is anonymous it will be saved as 'stream-time.mp3', where time is actual timestamp.

OPTIONS

-h, --help
    Print a help message describing all options

-q, --quiet
    Turn off output

-v, --verbose
    Be verbose

-t, --tracks
    Split stream into tracks (if possible)

--name=NAME
    Save the stream to file specified by NAME. Format codes starting with "%" will be replaced. See the date command for valid format codes.

--stop=N[units]
    Stop downloading the stream after N kb/mb/min/songs

--user-agent=AGENT
    Set user-agent header to AGENT

--stdout
    Output stream to stdout (implies -q)

--sync
    Turn syncing on, required for some mpeg players that read from stdin

--debug
    Turn on debugging outputs

EXAMPLES

Streaming to mpg123
    icecream --stdout http://radio.com/playlist.pls | mpg123 -

Split stream into different tracks
    icecream -t http://metal.org/radio.pls

Split stream into tracks and play with vlc at the same time
    icecream -t --stdout http://streaming.com/playlist.pls | vlc file:/dev/stdin

Prepare a 74 minute CD
    icecream -t --stop 74min http://trace.net/playlist.m3u

Use a filename with today's date as output
    icecream -q --name 'radio_%Y_%m_%d' --stop 60min http://radio.com/playlist.pls

BUGS
You are welcome to send bug reports about icecream to our mailing list. Feel free to visit http://icecream.sourceforge.net

AUTHOR
Written by Gil Megidish <gil at megidish.net>